public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Milos Malik <mmalik@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: add the bind test to upstream repo
Date: Fri, 11 Sep 2026 13:20:56 GMT [thread overview]
Message-ID: <178913285624.1.12044757119739636524.tests-selinux-d3c91b68fd98@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : d3c91b68fd98e935a1f2aaf3a3c8c889bba8d456
Author : Milos Malik <mmalik@redhat.com>
Date : 2023-08-15T14:28:41+00:00
Stats : +407/-0 in 4 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/d3c91b68fd98e935a1f2aaf3a3c8c889bba8d456?branch=pr775-checkpolicy-revdeps
Log:
add the bind test to upstream repo
The bind component is frequently used by various users on Fedora
and RHEL, so it makes sense to run this TC in upstream testing too.
There are no changes in the TC functionality.
Moving the downstream TC to upstream repo.
---
diff --git a/selinux-policy/bz562833-chrooted-named-file-contexts/Makefile b/selinux-policy/bz562833-chrooted-named-file-contexts/Makefile
new file mode 100644
index 0000000..53e5491
--- /dev/null
+++ b/selinux-policy/bz562833-chrooted-named-file-contexts/Makefile
@@ -0,0 +1,99 @@
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Makefile of /CoreOS/selinux-policy/Regression/bz562833-chrooted-named-file-contexts
+# Description: some named files in chroot-ed environment have wrong SELinux labels
+# Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2010 Red Hat, Inc. All rights reserved.
+#
+# This copyrighted material is made available to anyone wishing
+# to use, modify, copy, or redistribute it subject to the terms
+# and conditions of the GNU General Public License version 2.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+export TEST=/CoreOS/selinux-policy/Regression/bz562833-chrooted-named-file-contexts
+export TESTVERSION=1.0
+
+BUILT_FILES=
+
+FILES=$(METADATA) runtest.sh Makefile PURPOSE
+
+.PHONY: all install download clean
+
+run: $(FILES) build
+ ./runtest.sh
+
+build: $(BUILT_FILES)
+ chmod a+x runtest.sh
+ chcon -t bin_t runtest.sh
+
+clean:
+ rm -f *~ $(BUILT_FILES)
+
+include /usr/share/rhts/lib/rhts-make.include
+
+$(METADATA): Makefile
+ @echo "Owner: Milos Malik <mmalik@redhat.com>" > $(METADATA)
+ @echo "Name: $(TEST)" >> $(METADATA)
+ @echo "TestVersion: $(TESTVERSION)" >> $(METADATA)
+ @echo "Path: $(TEST_DIR)" >> $(METADATA)
+ @echo "Description: some named files in chroot-ed environment have wrong SELinux labels" >> $(METADATA)
+ @echo "Type: Regression" >> $(METADATA)
+ @echo "TestTime: 2h" >> $(METADATA)
+ @echo "RunFor: selinux-policy" >> $(METADATA)
+ @echo "Requires: audit" >> $(METADATA)
+ @echo "Requires: bind" >> $(METADATA)
+ @echo "Requires: bind-chroot" >> $(METADATA)
+ @echo "Requires: caching-nameserver" >> $(METADATA)
+ @echo "Requires: grep" >> $(METADATA)
+ @echo "Requires: /usr/sbin/service" >> $(METADATA)
+ @echo "Requires: libselinux" >> $(METADATA)
+ @echo "Requires: libselinux-utils" >> $(METADATA)
+ @echo "Requires: policycoreutils" >> $(METADATA)
+ @echo "Requires: procps" >> $(METADATA)
+ @echo "Requires: selinux-policy" >> $(METADATA)
+ @echo "Requires: selinux-policy-targeted" >> $(METADATA)
+ @echo "Requires: setools-console" >> $(METADATA)
+ @echo "RhtsRequires: library(selinux-policy/common)" >> $(METADATA)
+ @echo "Priority: Normal" >> $(METADATA)
+ @echo "License: GPLv2" >> $(METADATA)
+ @echo "Confidential: no" >> $(METADATA)
+ @echo "Destructive: no" >> $(METADATA)
+ @echo "Environment: AVC_ERROR=+no_avc_check" >> $(METADATA)
+ @echo "Releases: -RHEL4" >> $(METADATA)
+ @echo "Bug: 451970" >> $(METADATA) # RHEL-5
+ @echo "Bug: 562833" >> $(METADATA) # RHEL-5
+ @echo "Bug: 578187" >> $(METADATA) # RHEL-5
+ @echo "Bug: 698257" >> $(METADATA) # RHEL-5
+ @echo "Bug: 739886" >> $(METADATA) # RHEL-6
+ @echo "Bug: 843732" >> $(METADATA) # RHEL-6
+ @echo "Bug: 859231" >> $(METADATA) # RHEL-6
+ @echo "Bug: 916173" >> $(METADATA) # RHEL-7
+ @echo "Bug: 1012051" >> $(METADATA) # RHEL-7
+ @echo "Bug: 1103439" >> $(METADATA) # RHEL-6
+ @echo "Bug: 1110397" >> $(METADATA) # RHEL-6
+ @echo "Bug: 1166281" >> $(METADATA) # RHEL-7
+ @echo "Bug: 1199473" >> $(METADATA) # RHEL-7
+ @echo "Bug: 1312972" >> $(METADATA) # RHEL-7
+ @echo "Bug: 1683754" >> $(METADATA) # RHEL-7
+ @echo "Bug: 1759505" >> $(METADATA) # RHEL-8
+ @echo "Bug: 1827591" >> $(METADATA) # Fedora 30
+ @echo "Bug: 1923929" >> $(METADATA) # RHEL-9
+ @echo "Bug: 2223725" >> $(METADATA) # Fedora 39
+ @echo "Bug: 2224352" >> $(METADATA) # Fedora 38
+
+ rhts-lint $(METADATA)
+
diff --git a/selinux-policy/bz562833-chrooted-named-file-contexts/PURPOSE b/selinux-policy/bz562833-chrooted-named-file-contexts/PURPOSE
new file mode 100644
index 0000000..5c1c31b
--- /dev/null
+++ b/selinux-policy/bz562833-chrooted-named-file-contexts/PURPOSE
@@ -0,0 +1,5 @@
+PURPOSE of /CoreOS/selinux-policy/Regression/bz562833-chrooted-named-file-contexts
+Author: Milos Malik <mmalik@redhat.com>
+
+SELinux interferes with named and related programs.
+
diff --git a/selinux-policy/bz562833-chrooted-named-file-contexts/main.fmf b/selinux-policy/bz562833-chrooted-named-file-contexts/main.fmf
new file mode 100644
index 0000000..2b62072
--- /dev/null
+++ b/selinux-policy/bz562833-chrooted-named-file-contexts/main.fmf
@@ -0,0 +1,62 @@
+summary: some named files in chroot-ed environment have wrong SELinux labels
+description: |+
+ SELinux interferes with named and related programs.
+
+contact: Milos Malik <mmalik@redhat.com>
+component:
+ - selinux-policy
+test: ./runtest.sh
+framework: beakerlib
+require:
+ - library(selinux-policy/common)
+recommend:
+ - audit
+ - bind
+ - bind-chroot
+ - caching-nameserver
+ - grep
+ - /usr/sbin/service
+ - libselinux
+ - libselinux-utils
+ - policycoreutils
+ - procps
+ - selinux-policy
+ - selinux-policy-targeted
+ - setools-console
+environment:
+ AVC_ERROR: +no_avc_check
+duration: 2h
+enabled: true
+tag:
+ - NoRHEL4
+ - TierCandidatesPASS
+ - f32friendly
+ - targeted
+link:
+ - relates: https://bugzilla.redhat.com/show_bug.cgi?id=451970
+ - relates: https://bugzilla.redhat.com/show_bug.cgi?id=562833
+ - relates: https://bugzilla.redhat.com/show_bug.cgi?id=578187
+ - relates: https://bugzilla.redhat.com/show_bug.cgi?id=698257
+ - relates: https://bugzilla.redhat.com/show_bug.cgi?id=739886
+ - relates: https://bugzilla.redhat.com/show_bug.cgi?id=843732
+ - relates: https://bugzilla.redhat.com/show_bug.cgi?id=859231
+ - relates: https://bugzilla.redhat.com/show_bug.cgi?id=916173
+ - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1012051
+ - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1103439
+ - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1110397
+ - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1166281
+ - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1199473
+ - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1312972
+ - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1683754
+ - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1759505
+ - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1827591
+ - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1923929
+ - verifies: https://bugzilla.redhat.com/show_bug.cgi?id=2223725
+ - verifies: https://bugzilla.redhat.com/show_bug.cgi?id=2224352
+adjust:
+ - enabled: false
+ when: distro == rhel-4
+ continue: false
+extra-nitrate: TC#0057489
+extra-summary: /CoreOS/selinux-policy/Regression/bz562833-chrooted-named-file-contexts
+extra-task: /CoreOS/selinux-policy/Regression/bz562833-chrooted-named-file-contexts
diff --git a/selinux-policy/bz562833-chrooted-named-file-contexts/runtest.sh b/selinux-policy/bz562833-chrooted-named-file-contexts/runtest.sh
new file mode 100755
index 0000000..b60c482
--- /dev/null
+++ b/selinux-policy/bz562833-chrooted-named-file-contexts/runtest.sh
@@ -0,0 +1,241 @@
+#!/bin/bash
+# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# runtest.sh of /CoreOS/selinux-policy/Regression/bz562833-chrooted-named-file-contexts
+# Description: some named files in chroot-ed environment have wrong SELinux labels
+# Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2010 Red Hat, Inc. All rights reserved.
+#
+# This copyrighted material is made available to anyone wishing
+# to use, modify, copy, or redistribute it subject to the terms
+# and conditions of the GNU General Public License version 2.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+# Include rhts environment
+. /usr/share/beakerlib/beakerlib.sh
+
+PACKAGE="selinux-policy"
+ROOT_PASSWORD="redhat"
+
+rlJournalStart
+ rlPhaseStartSetup
+ rlRun "rlImport 'selinux-policy/common'"
+ rlSESatisfyRequires
+ rlAssertRpm ${PACKAGE}
+ rlAssertRpm ${PACKAGE}-targeted
+ rlAssertRpm bind
+
+ rlServiceStop ` rlSEListServices 53 `
+ rlFileBackup /etc/shadow
+
+ rlSESetEnforce
+ rlSEStatus
+ rlSESetTimestamp
+ sleep 2
+ rlPhaseEnd
+
+ rlPhaseStartTest "bz#451970"
+ rlSEMatchPathCon "/usr/sbin/named" "named_exec_t"
+ rlSESearchRule "allow named_t port_t : udp_socket { name_bind }"
+ rlPhaseEnd
+
+ rlPhaseStartTest "bz#562833"
+ for PREFIX in "" "/var/named/chroot" ; do
+ rlSEMatchPathCon "${PREFIX}/dev/null" "null_device_t"
+ rlSEMatchPathCon "${PREFIX}/dev/random" "random_device_t"
+ rlSEMatchPathCon "${PREFIX}/dev/zero" "zero_device_t"
+ rlSEMatchPathCon "${PREFIX}/etc/named.conf" "named_conf_t"
+ rlSEMatchPathCon "${PREFIX}/var/log" "var_log_t"
+ rlSEMatchPathCon "${PREFIX}/var/log/named.log" "named_log_t"
+ rlSEMatchPathCon "${PREFIX}/var/named/data" "named_cache_t"
+ rlSEMatchPathCon "${PREFIX}/var/named/slaves" "named_cache_t"
+ rlSEMatchPathCon "${PREFIX}/var/named" "named_zone_t"
+ rlSEMatchPathCon "${PREFIX}/var/run/named" "named_var_run_t"
+ done
+ rlPhaseEnd
+
+ rlPhaseStartTest "bz#578187"
+ rlSEMatchPathCon "/usr/sbin/named" "named_exec_t"
+ for PREFIX in "" "/var/named/chroot" ; do
+ rlSEMatchPathCon "${PREFIX}/var/named/dynamic" "named_cache_t"
+ done
+ rlSESearchRule "allow named_t named_t : process { getcap setcap getsched setsched setrlimit }"
+ rlPhaseEnd
+
+ rlPhaseStartTest "bz#698257"
+ rlSEMatchPathCon "/usr/sbin/named" "named_exec_t"
+ if rlIsRHEL 5 ; then
+ rlSEMatchPathCon "/var/named/chroot/var/log/update-debug.log" "named_log_t"
+ fi
+ rlSESearchRule "allow named_t named_log_t : file { append }"
+ rlPhaseEnd
+
+ if ! rlIsRHEL 5 ; then
+ rlPhaseStartTest "bz#739886"
+ rlSEMatchPathCon "/usr/sbin/rndc" "ndc_exec_t"
+ rlRun "ls -Z /proc/loadavg | grep :proc_t"
+ rlSESearchRule "allow ndc_t proc_t : file { getattr open read }"
+ rlPhaseEnd
+
+ rlPhaseStartTest "bz#843732 + bz#916173"
+ for PREFIX in "" "/var/named/chroot" ; do
+ rlSEMatchPathCon "${PREFIX}/lib" "lib_t"
+ rlSEMatchPathCon "${PREFIX}/lib64" "lib_t"
+ rlSEMatchPathCon "${PREFIX}/usr/lib" "lib_t"
+ rlSEMatchPathCon "${PREFIX}/usr/lib64" "lib_t"
+ done
+ rlSEMatchPathCon "/var/named/chroot/etc/localtime" "locale_t"
+ rlPhaseEnd
+
+ rlPhaseStartTest "bz#1110397 + bz#1166281"
+ rlSEMatchPathCon "/usr/sbin/rndc" "ndc_exec_t"
+ rlSEMatchPathCon "/dev/random" "random_device_t"
+ rlSEMatchPathCon "/dev/urandom" "urandom_device_t"
+ rlSESearchRule "allow ndc_t random_device_t : chr_file { getattr open read }"
+ rlSESearchRule "allow ndc_t urandom_device_t : chr_file { getattr open read }"
+ rlPhaseEnd
+ fi
+
+ if rlIsRHEL 6 ; then
+ rlPhaseStartTest "bz#859231"
+ rlSEMatchPathCon "/var/tmp/DNS_25" "named_tmp_t"
+ rlPhaseEnd
+
+ rlPhaseStartTest "bz#1103439 + bz#1199473"
+ rlSEMatchPathCon "/usr/sbin/named" "named_exec_t"
+ rlSEMatchPortCon udp 1935 flash_port_t
+ rlSEMatchPortCon udp 2605 bgp_port_t
+ rlSEMatchPortCon udp 4321 whois_port_t
+ rlSEMatchPortCon udp 6514 syslogd_port_t
+ rlSEMatchPortCon udp 8610 ipp_port_t
+ rlSEMatchPortCon udp 8611 ipp_port_t
+ rlSEMatchPortCon udp 8612 ipp_port_t
+ rlSEMatchPortCon udp 8613 ipp_port_t
+ rlSEMatchPortCon udp 8614 ipp_port_t
+ rlSESearchRule "dontaudit named_t flash_port_t : udp_socket { name_bind } [ ]"
+ rlSESearchRule "dontaudit named_t ipp_port_t : udp_socket { name_bind } [ ]"
+ rlSESearchRule "dontaudit named_t syslogd_port_t : udp_socket { name_bind } [ ]"
+ rlSESearchRule "dontaudit named_t whois_port_t : udp_socket { name_bind } [ ]"
+ rlSESearchRule "dontaudit named_t bgp_port_t : udp_socket { name_bind } [ ]"
+ rlSESearchRule "allow named_t reserved_port_t : udp_socket { name_bind } [ ]" 1
+ rlSESearchRule "allow named_t hi_reserved_port_t : udp_socket { name_bind } [ ]" 1
+ rlSESearchRule "dontaudit named_t reserved_port_t : udp_socket { name_bind } [ ]"
+ rlSESearchRule "dontaudit named_t hi_reserved_port_t : udp_socket { name_bind } [ ]"
+ rlPhaseEnd
+ fi
+
+ if ! rlIsRHEL 5 6 ; then
+ rlPhaseStartTest "bz#1012051"
+ rlSEMatchPathCon "/usr/sbin/named" "named_exec_t"
+ rlSESearchRule "allow named_t named_t : key { read write }"
+ rlPhaseEnd
+
+ rlPhaseStartTest "bz#1312972"
+ rlSEMatchPortCon udp 1935 flash_port_t
+ rlSEMatchPortCon udp 2605 bgp_port_t
+ rlSEMatchPortCon udp 4321 whois_port_t
+ rlSEMatchPortCon udp 4444 kerberos_port_t
+ rlSEMatchPortCon udp 5546 dhcpc_port_t
+ if rlIsRHEL 7 ; then
+ rlSEMatchPortCon udp 61000 ephemeral_port_t
+ else # RHEL-8 and Fedora
+ rlSEMatchPortCon udp 60999 ephemeral_port_t
+ fi
+ rlSEMatchPortCon udp 8554 rtsp_port_t
+ rlSEMatchPortCon udp 8610 ipp_port_t
+ rlSEMatchPortCon udp 8611 ipp_port_t
+ rlSEMatchPortCon udp 8612 ipp_port_t
+ rlSEMatchPortCon udp 8613 ipp_port_t
+ rlSEMatchPortCon udp 8614 ipp_port_t
+ rlSESearchRule "allow named_t bgp_port_t : udp_socket { name_bind } [ ]"
+ rlSESearchRule "allow named_t dhcpc_port_t : udp_socket { name_bind } [ ]"
+ rlSESearchRule "allow named_t ephemeral_port_t : udp_socket { name_bind } [ ]"
+ rlSESearchRule "allow named_t flash_port_t : udp_socket { name_bind } [ ]"
+ rlSESearchRule "allow named_t ipp_port_t : udp_socket { name_bind } [ ]"
+ rlSESearchRule "allow named_t kerberos_port_t : udp_socket { name_bind } [ ]"
+ rlSESearchRule "allow named_t rtsp_port_t : udp_socket { name_bind } [ ]"
+ rlSESearchRule "allow named_t whois_port_t : udp_socket { name_bind } [ ]"
+ COUNT=`seinfo --portcon | cut -d : -f 3 | sort | uniq | wc -l`
+ rlLog "Number of defined SELinux ports which have at least 1 port number assigned is $COUNT"
+ for PORT_TYPE in `seinfo --portcon | cut -d : -f 3 | sort | uniq` ; do
+ if rlIsRHEL 5 6 7 ; then
+ sesearch -s named_t -t ${PORT_TYPE} -c udp_socket -p name_bind -A -C -D | grep -v '\]' | grep -q -e allow -e dontaudit
+ else
+ sesearch -s named_t -t ${PORT_TYPE} -c udp_socket -p name_bind -A --dontaudit | grep -v '\]' | grep -q -e allow -e dontaudit
+ fi
+ if [ $? -eq 1 ] ; then
+ rlFail "named_t access to ${PORT_TYPE}:udp_socket via name_bind operation is neither allowed nor dontaudited"
+ fi
+ done
+ rlLog "all $COUNT defined SELinux ports tested"
+ rlPhaseEnd
+
+ rlPhaseStartTest "bz#1683754"
+ rlRun "ls -dZ /proc/sys/net | grep :sysctl_net_t"
+ rlRun "ls -dZ /proc/sys/net/ipv4 | grep :sysctl_net_t"
+ rlRun "ls -Z /proc/sys/net/ipv4/ip_local_port_range | grep :sysctl_net_t"
+ rlSESearchRule "allow named_t sysctl_net_t : dir { getattr open search } [ ]"
+ rlSESearchRule "allow named_t sysctl_net_t : file { getattr open read } [ ]"
+ rlPhaseEnd
+ fi
+
+ if ! rlIsRHEL 5 6 7 ; then
+ rlPhaseStartTest "bz#1759505"
+ rlSEMatchPathCon "/etc/named" "named_conf_t"
+ rlSEMatchPathCon "/etc/named/test.conf" "named_conf_t"
+ rlPhaseEnd
+ fi
+
+ if ! rlIsRHEL 5 6 7 8 ; then
+ rlPhaseStartTest "bz#1827591 + bz#1923929"
+ rlSEMatchPathCon "/usr/sbin/rndc" "ndc_exec_t"
+ rlSESearchRule "dontaudit ndc_t ndc_t : process { setsched } [ ]"
+ rlPhaseEnd
+ fi
+
+ if seinfo -c io_uring | grep -q io_uring ; then
+ rlPhaseStartTest "bz#2223725 + bz#2224352"
+ rlSESearchRule "allow named_t named_t : io_uring { sqpoll } [ ]"
+ rlSESearchRule "allow ndc_t ndc_t : io_uring { sqpoll } [ ]"
+ rlPhaseEnd
+ fi
+
+ rlPhaseStartTest "real scenario"
+ if ! rlIsRHEL 5 ; then
+ rlRun "semodule -l | grep bind"
+ fi
+ rlRun "getsebool -a | grep named"
+ rlRun "echo ${ROOT_PASSWORD} | passwd --stdin root"
+ rlSEService ${ROOT_PASSWORD} named named named_t "start status" 1
+ rlRun "restorecon -Rv /run /var -e /var/ARTIFACTS" 0-255
+ rlRun "runcon system_u:system_r:initrc_t:s0 bash -c 'rndc querylog'"
+ rlRun "runcon system_u:system_r:initrc_t:s0 bash -c 'rndc dumpdb'"
+ rlRun "runcon system_u:system_r:initrc_t:s0 bash -c 'rndc tsig-list'"
+ rlSEService ${ROOT_PASSWORD} named named named_t "restart status stop status" 1
+ rlPhaseEnd
+
+ rlPhaseStartCleanup
+ sleep 2
+ rlSECheckAVC
+
+ rlFileRestore
+ rlServiceRestore ` rlSEListServices 53 `
+ rlPhaseEnd
+ rlJournalPrintText
+rlJournalEnd
+
reply other threads:[~2026-09-11 13:20 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178913285624.1.12044757119739636524.tests-selinux-d3c91b68fd98@fedoraproject.org \
--to=mmalik@redhat.com \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox